// 命名空间的使用
#include <iostream>

using namespace std; // 当前位置向下，可以访问 std 命名空间中的所有成员

namespace A
{
    int a = 10;
}

namespace B
{
    int a = 20;
}

namespace C
{
    int a = 30;
}

int main(int argc, char const *argv[])
{
    using namespace A;
    cout << "A::a = " << a << endl; // 10

    // using namespace B;
    using B::a;                     // 替换了当前位置的 a
    cout << "B::a = " << a << endl; // 20

    // using namespace C;
    cout << "C::a = " << C::a << endl; // 30

    return 0;
}